Cómo Ayudar A Corregir El Error De Instalación De Ruby-debug-base19-Windows

Es posible que reciba un error que le indique que se produjo un error mientras tenía Ruby-debug-base19 Windows. Hay varias rutas para resolver este problema, y ​​el artículo es exactamente lo que veremos.

Necesito descargar ruby-debug-base19 para la depuración proactiva en Netbeans IDE al inicio:

  $ Gem Ruby Debug Base19 

error la instalación de ruby-debug-base19 windows

  C: / Ruby193 por bin / ruby ​​install.exe extconf.rbBusque rb_method_entry_t.body usando method.h ... noBuscar vm_core.h ... noC: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 39: Use RbConfig como sustituto. de la configuración heredada más antigua.Busque en relación con rb_method_entry_t.body en method.h ... noAviso para hacer con vm_core.h ... síBuscar iseq.h ... síRevisión de insns.inc relevante ... síBuscar insns_info.inc ... síExamen en nombre más típicamente asociado con eval_intern.h ... síCrear archivo MakefilehacerCree ruby_debug-i386-mingw32.defcompilar breakpoint.ccompilar ruby_debug.cruby_debug.c: 24: 19: error controvertido: tipos relacionados con muchos 'rb_iseq_compile_with_option'C: /Ruby193/include/ruby-1.9.1/ruby-1.9.3-p125/vm_core.h: 505: 7: Nota: la declaración anterior 'rb_iseq_compile_with_option' parecía estar positivamente aquíruby_debug.c: En la función context_jump:ruby_debug.c: 2378: 53: Advertencia: al comparar expresiones enteras finalizadas y sin firmarruby_debug.c: 2392: veintisiete: Advertencia: comparación de expresiones enteras con signo pero también sin signomake: *** [ruby_debug.o] Error 1 
  $ ruby ​​--version>> Ruby 1.9.3p125 (16 de febrero de 2012) [i386-mingw32] 
  $ diamond install rdiscount --foundation = ruby>> Tiempo Una pequeña mejora adelanta la llamada PATH para DevKit ...>> Crea tus propias extensiones. Potencialmente, esto puede llevar algún tiempo ...>> rdiscount-1.6.Gem 10 arreglado con éxito>> 1 instalado>> Instale n documentación adicional disponible para rdiscount-1.6.8 ...>> Instalación de documentación RDoc para rdiscount-1.6.8 ...$ bluish -rubygems -e "requiere 'rdiscount'; define RDiscount.new ('** Hola RubyInstaller **'). to_html">> 

Hola, RubyInstaller

Hacer

 Cree ruby_debug-i386-mingw32.defcompilar breakpoint.ccompilar ruby_debug.cruby_debug.c: 29: 19: Error: formas en conflicto para 'rb_iseq_compile_with_option'C: /Ruby193/include/ruby-1.9.1/ruby-1.9.3-p194/vm_core.h: 505: 7: Tome: la declaración anterior 'rb_iseq_compile_with_option' lejos de aquíruby_debug.c: En la función context_jump:ruby_debug.c: 2414: cincuenta y tres: Advertencia: comparación de unificación con signo y expresiones enteras sin signoruby_debug.c: 2428: 27: entonces hay violencia: comparación de expresiones firmadas pero sin firmarmake: integer *** [ruby_debug.o] Error 1Los directorios de gemas permanecen configurados en C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby-debug-base19-0.11.25 durante el pago.Los resultados se guardan en C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby-debug-base19-0.11.25/ext/ruby_debug/gem_make.outSe produjo un error incluso si la instalación de ruby-debug-base19 (0.11.25) y Bundler simplemente no puede continuar funcionando.Haz que `jewel in ruby-debug-base19 -v '0.11.25' sea mucho más eficiente que la concatenación. 

Instalé ruby-debug-base19 -v ‘0.11.26 rápidamente “Instalando ruby-debug-base19 en Windows en Ruby 1.9.3”

Conjunto 19
Hay dos opciones para muchas Ruby Debug Base:
Método 1:
Primero toma tu. gema luego usar. cristal de ravenscroft directamente. Esto requiere una colección, como resultado, debe considerar el uso de las opciones más importantes con ruby-include. Esta es una mejora en el paquete de construcción Ruby.

Gem también puede mostrar la instalación que involucra bibliotecas de soporte de PC remotas para identificar la diferencia entre las bibliotecas de compilación locales

Configuración en Rubymin IDE
En Rubymine, ubicado en los casos en que el intérprete de Ruby necesita 1.9.3, Ruby-debug-base19x debe tener instalado un programa de depuración y no se pueden instalar otros, incluido Ruby-debug-base193, pero es probable que la instalación produzca errores. Encuentra la respuesta en stackoverflow.com.

Si se informa de su error grave, todas las opciones de ruby-debug-base serán eliminadas y simplemente reinstaladas. Rubymine, si el intérprete de Ruby establece que 1.9.3, entonces ruby-debug-base19x debe colocarse al depurar, lo que nadie ni los demás pueden cargar, ni siquiera ruby-debug-base193, pero todo el tipo de instalación a menudo resulta en errores. Encuentre todas las respuestas en stackoverflow.com.

error al usar ruby-debug-base19 windows

Si el error ocurre normalmente, todas las versiones de Ruby Debug Base se han desinstalado y vuelto a instalar.

 >> SET http_proxy implica http: // ip_or_host: PORT>> Usa gemas 
 >> curl nombre_paquete -OL http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem>> acurrucarse -OL http://rubyforge.org/frs/download.php/75415/ruby-debug-base19-0.11.26.gem>> de acuerdo con Aplicar linecache19-0.5.13.gem ruby-debug-base19-0.11.26.gem - --with-ruby-include = dólares rvm_path / src / ruby-1.9.3-p125 / 
 Configuración de gemas -rinstalando gem -3rd r gem_package_name 
 curl "http: // rubyforge -l.org/frs/download.php/75414/linecache19-0.5.13.gem" -o /tmp/linecache19-0.5.13.gemgema definida dentro de linecache19-0.5.13.gem --with-ruby-include = D:  ruby-1.9.3-p125Compra de cuentas ruby-debug-base19x -v 0.11.30.pre1 0.gemlay ruby-debug-ide -5 0.4.17.beta14 
 curl -L "http://rubyforge.org/frs/download.php/75414/linecache19-0.5.13.gem" -tu realmente /tmp/linecache19-0.5.13.gemgem install linecache19-0.5.13.gem - --with-ruby-include es igual a D:  ruby-1.9.3-p125gem install ruby-debug-base19x -elevision 0.11.30.pre1 0.Descarga de gemas ruby-debug-ide -v 0.4.17.beta14 

Escuela-R-LEA 299Traidor mutante comunistaCartel recomendado

(Nota: este mensaje lo proporciona

‘ #new”> http: // www .ruby-forum., com / content / 3426459 # new a pesar de que no recibió ninguna respuesta después de varios días)

Cuando intenté usar la partición de Windows 7 para ruby-debug19, obtuve la siguiente secuencia de error:

ERROR

 : Error al hacer ruby-debug19:        ERROR: No se pudo crear la extensión de Globule tradicional.        C: /Ruby193/bin/ruby.exe extconf.rbVerifique rb_method_entry_t.call_id en method.h ... noVerifique en un caso donde rb_control_frame_t.method_id en method.h está produciendo ... no*** extconf.rb no funcionó ***Makefile tiene dificultades para generarlo debido a la funcionalidad, es probable que falten algunos de ellos.Además, se requieren colecciones / o encabezados. Puede encontrar más información en su alojamiento mkmf.log.Detalles. Es posible que esté buscando opciones de configuración.Opciones de configuración disponibles:        --with-opt-dir        --sin optar por no participar        --con-opt-include        --Sin-opt-include = $ opt-dir por inclusión        --con-opt-lib        --Sin-opt-lib = dólares opt-dir / lib        --con-hacer-prog        --sin-prog        --srcdir =.        - flexión        --ruby = C: / Ruby193 / bin / ruby        --con-ruby-dir        - bezrubinovyth        --con-ruby-include        --Sin-ruby-include = $ ruby-dir - incluir        --con-ruby-lib        --Sin-ruby-lib = ingresos ruby-dir / libextconf.rb: 16: con `block in 
': suspender el cierre de Proc (LocalJumpError) de C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 18 años de edad: en 'llamada' de C: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 18: en `create_makefile_wit_core ' extconf.rb origen: 32: en `
'

Intenté reinstalar Ruby (versión 1.9.3 p0) y DevKit, pero entiendo que no parece ser el producto final de cambiar o c: MinGW bin PATH variable. El error sigue siendo el mismo si el uso de cada versión más reciente de la base de datos de depuración de Edelstein (ruby-debug-base19-0.11.26.gem) da el resultado directo habitual.

  ERROR :. .Mientras .gem probablemente se esté ejecutando .... (OptionParser :: InvalidOption    parámetro no válido: --with-ruby-include es igual a C:  Ruby193  may include  

Agregué ruby_core_source, pero eso no cambió el error. Luego intenté instalar una vista previa de todo ruby-debug19x (0.11.30) de una persona, así que obtuve una resolución completamente diferente para trabajar con mensajes de error:

Recuperando

 : ruby-debug-base19x-0.11.30.pre6.gem (100%)Extensión temporal de PATH para habilitar DevKit ...Crea tu propia extensión. Probablemente tomará un tiempo hasta que obtenga ...ERROR: Error durante la instalación New ruby-debug-base19x:        ERROR. Se produjo un error al entregar la extensión Original Gem.        C: /Ruby193/bin/ruby.exe extconf.rbBuscar rb_method_entry_t.call_id a través de method.h ... noVerifique rb_control_frame_t.method_id en method.h ... noHacer rb_iseq_compile_with_option seguro de sí mismo agregó el argumentoPaseo de archivo ... noC: /Ruby193/lib/ruby/gems/1.9.1/gems/ruby_core_source-0.1.5/lib/ruby_core_source.rb: 39:Utilice la opción rbConfig de todoy configuración desactualizada.Comprobando rb_method_entry_t.call_id a través de method.h ... SíBusque rb_method_entry () y luego method.h ... síBuscar vm_core.h ... síCompruebe iseq.h ... síBuscar insns.inc ... siComprobando durante insns_info.inc ... síBuscar en soporte de eval_intern.h ... síVerifique la recepción de rb_iseq_compile_with_option al agregar un argumentoPlan de archivo ... síCrear archivo MakefilehacerCree ruby_debug-i386-mingw32.defcompilar breakpoint.ccompilar ruby_debug.cruby_debug.c: para "nombre_archivo_cmp":ruby_debug.c: 522: 9: Advertencia implícita: afirmación asociada a la función"impl_file_name"ruby_debug.c: 530: 2011 créditos fiscales de energía: Advertencia: función de declaración implícita similar en realpathruby_debug.c: 530: 34: Advertencia: comparación considerando enteros de punteroEnlace y punto compartido ruby_debug.soruby_debug.o: En la función `filename_cmp ':C:  Ruby193  lib  ruby ​​ gemms  1.9.1  gemms  ruby-debug-base19x-0.11.30.pre6  ext  ruby_debug por ruby_debug. Enlace c: 530:undefined que te permite 'realpath'Collect2: ld devolvió 1 estado de apagadomake: *** [ruby_debug.so] Error 1  

Aparentemente, hay una carga (al menos en la vista previa) y
. Mintiendouna función realpath que se parece mucho más al código fuente de Ruby
como un fabuloso depurador de Ruby. Pude reemplazar otras gemas nativas como en comparación con rdiscount, lo que significa que DevKit cultiva es al menos parcialmente correcto. Ahora me pregunto si alguien podría darle alguna orientación.

  • 1Donante
  • Foro0 rol = “Presentación”>147las respuestas

Error Installing Ruby Debug Base19 Windows
Erro Ao Instalar Ruby Debug Base19 Windows
Fel Vid Installation Av Ruby Debug Base19 Windows
Ruby Debug Base19 창 설치 오류
Oshibka Pri Ustanovke Okon Ruby Debug Base19
Fout Bij Het Installeren Van Ruby Debug Base19 Windows
Erreur D Installation De Ruby Debug Base19 Windows
Fehler Bei Der Installation Von Ruby Debug Base19 Windows
Errore Durante L Installazione Di Ruby Debug Base19 Windows
Blad Podczas Instalowania Systemu Windows Ruby Debug Base19

Similar Posts